%define name ncap
%define version 0.4.3
%define release 1
%define nsusr nagios
%define nsgrp nagios
%define nsport 5667

# Reserve option to override port setting with:
# rpm -ba|--rebuild --define 'nsport 5666'
%{?port:%define nsport %{port}}

# Macro that print mesages to syslog at package (un)install time
%define nnmmsg logger -t %{name}/rpm

Summary: Host/service/network monitoring agent for Nagios
URL: http://www.nagios.org
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Application/System
Source0: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
Prefix: /etc/init.d
Prefix: /etc/nagios
Requires: bash, grep
PreReq: /usr/bin/logger, chkconfig, sh-utils, shadow-utils, sed, initscripts, fileutils, mktemp

%description
NCAP (Nagios Collector and Proxy) is a system daemon that will proxy 
various Nagios plugins towards a NRPE daemon via the check_ncap plugin 
on the nagios host.  

%package plugin
Group: Application/System
Summary: Provides ncap plugin for Nagios.
Requires: nagios-plugins

%description plugin
Plug-in for Nagios monitoring system. With this plug-in you can send check
request to a remote host, with installed NCAP collector/proxy, which will
then relay your request to a NRPE daemon.


%prep
%setup -q


%pre
# Create `nagios' user on the system if necessary
if id %{nsusr} ; then
	: # user already exists
else
	/usr/sbin/useradd -r -d /var/log/nagios -s /bin/sh -c "%{nsusr}" -g %{nsgrp} %{nsusr} || \
		%nnmmsg Unexpected error adding user "%{nsusr}". Aborting install process.
fi

# if LSB standard /etc/init.d does not exist,
# create it as a symlink to the first match we find
if [ -d /etc/init.d -o -L /etc/init.d ]; then
  : # we're done
elif [ -d /etc/rc.d/init.d ]; then
  ln -s /etc/rc.d/init.d /etc/init.d
elif [ -d /usr/local/etc/rc.d ]; then
  ln -s  /usr/local/etc/rc.d /etc/init.d
elif [ -d /sbin/init.d ]; then
  ln -s /sbin/init.d /etc/init.d
fi


%preun
if [ "$1" = 0 ]; then
	/sbin/service ncap stop > /dev/null 2>&1
	/sbin/chkconfig --del ncap
fi

%postun
if [ "$1" -ge "1" ]; then
	/sbin/service ncap condrestart >/dev/null 2>&1 || :
fi

%build
export PATH=$PATH:/usr/sbin
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
./configure \
	--with-init-dir=/etc/init.d \
	--with-ncap-port=%{nsport} \
	--with-ncap-user=%{nsusr} \
	--with-ncap-grp=%{nsgrp} \
	--prefix=%{_prefix} \
	--exec-prefix=%{_prefix}/sbin \
	--bindir=%{_prefix}/sbin \
	--sbindir=%{_prefix}/lib/nagios/cgi \
	--libexecdir=%{_prefix}/lib/nagios/plugins \
	--datadir=%{_prefix}/share/nagios \
	--sysconfdir=/etc/nagios \
	--localstatedir=/var/log/nagios 

make all

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
install -d -m 0755 ${RPM_BUILD_ROOT}/etc/init.d
install -d -m 0755 ${RPM_BUILD_ROOT}/etc/nagios
install -d -m 0755 ${RPM_BUILD_ROOT}/usr/sbin
install -d -m 0755 ${RPM_BUILD_ROOT}/usr/lib/nagios/plugins

# install templated configuration files
cp ncap.cfg ${RPM_BUILD_ROOT}/etc/nagios/ncap.cfg
cp init-script.rpm ${RPM_BUILD_ROOT}/etc/init.d/ncap
cp src/ncap ${RPM_BUILD_ROOT}/usr/sbin
cp src/check_ncap ${RPM_BUILD_ROOT}/usr/lib/nagios/plugins

%clean
rm -rf $RPM_BUILD_ROOT



%files
%defattr(755,root,root)
/etc/init.d/ncap
%{_prefix}/sbin/ncap
%dir /etc/nagios
%defattr(644,root,root)
%config(noreplace) /etc/nagios/*.cfg
%defattr(755,%{nsusr},%{nsgrp})
%doc Changelog README BUGS TODO GPL-License LICENSE OpenSSL-License TODO AUTHORS INSTALL

%files plugin
%defattr(755,root,root)
%{_prefix}/lib/nagios/plugins
%defattr(755,%{nsusr},%{nsgrp})
%doc Changelog README BUGS TODO GPL-License LICENSE OpenSSL-License TODO AUTHORS INSTALL

%changelog
* Thu Feb 05 2004 Giray Devlet <giray@osc.nl>
  initial release
